| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellTie::EventStretch Class Reference
uiWellAttrib

`#include <uiwelltieeventstretch.h>`

Inheritance diagram for WellTie::EventStretch:
[legend]

## Public Member Functions
| EventStretch (PickSetMgr &, D2TModelMgr &)
| ~EventStretch ()
void | doWork (CallBacker *)
void | setD2TModel (const Well::D2TModel *d2t)
void | setTrack (const Well::Track *track)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | doStaticShift ()
void | doStretchSqueeze ()
void | doStretchWork ()

## Protected Attributes
const Well::D2TModel * | d2t_ = nullptr
D2TModelMgr & | d2tmgr_
PickSetMgr & | pmgr_
const TypeSet< Marker > & | seispickset_
const TypeSet< Marker > & | synthpickset_
const Well::Track * | track_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ EventStretch()

WellTie::EventStretch::EventStretch | ( | PickSetMgr & | ,
|  | D2TModelMgr & | )

## ◆ ~EventStretch()

WellTie::EventStretch::~EventStretch | ( |  | ) |

## Member Function Documentation

## ◆ doStaticShift()

void WellTie::EventStretch::doStaticShift | ( |  | ) |
| protected

## ◆ doStretchSqueeze()

void WellTie::EventStretch::doStretchSqueeze | ( |  | ) |
| protected

## ◆ doStretchWork()

void WellTie::EventStretch::doStretchWork | ( |  | ) |
| protected

## ◆ doWork()

void WellTie::EventStretch::doWork | ( | CallBacker * |  | ) |

## ◆ setD2TModel()

void WellTie::EventStretch::setD2TModel | ( | const Well::D2TModel * | d2t | ) |
| inline

## ◆ setTrack()

void WellTie::EventStretch::setTrack | ( | const Well::Track * | track | ) |
| inline

## Member Data Documentation

## ◆ d2t_

const Well::D2TModel* WellTie::EventStretch::d2t_ = nullptr
| protected

## ◆ d2tmgr_

D2TModelMgr& WellTie::EventStretch::d2tmgr_
| protected

## ◆ pmgr_

PickSetMgr& WellTie::EventStretch::pmgr_
| protected

## ◆ seispickset_

const TypeSet<Marker>& WellTie::EventStretch::seispickset_
| protected

## ◆ synthpickset_

const TypeSet<Marker>& WellTie::EventStretch::synthpickset_
| protected

## ◆ track_

const Well::Track* WellTie::EventStretch::track_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025